#
# $Id: GNUmakefile.preamble,v 1.5 2005/05/22 19:34:49 will_mason Exp $
#
# vi: set ft=make:

# ObjectiveLib - a library of containers and algorithms for Objective-C
#
# Copyright (c) 2004
# Will Mason
#
# Portions:
#
# Copyright (c) 1994
# Hewlett-Packard Company
#
# Copyright (c) 1996,1997
# Silicon Graphics Computer Systems, Inc.
#
# Copyright (c) 1997
# Moscow Center for SPARC Technology
#
# Copyright (c) 1999 
# Boris Fomitchev
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# You may contact the author at will_mason@users.sourceforge.net.

ifeq ($(GNUSTEP_HOST_OS), mingw32)
	ADDITIONAL_LIB_DIRS := -L../$(GNUSTEP_OBJ_DIR) -L$(GNUSTEP_SYSTEM_DIR)/Tools
	ADDITIONAL_INCLUDE_DIRS := -I..
	ADDITIONAL_OBJC_LIBS := $(FND_LIBS) $(OBJC_LIBS) -lgw32c
else
	ADDITIONAL_LIB_DIRS := -L../$(GNUSTEP_OBJ_DIR)
endif

ADDITIONAL_OBJCFLAGS := -include Config.h
ADDITIONAL_CPPFLAGS := -Wno-import
